Bug 1168112 - SELinux is preventing /usr/bin/python2.7 (deleted) from 'setattr' accesses on the directory /proc.
Summary: SELinux is preventing /usr/bin/python2.7 (deleted) from 'setattr' accesses on...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d26ae7a7135e1d1b6925317d477...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-26 07:50 UTC by Alexander Kurtakov
Modified: 2015-01-30 23:54 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-105.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-30 23:54:31 UTC
Type: ---


Attachments (Terms of Use)

Description Alexander Kurtakov 2014-11-26 07:50:45 UTC
Description of problem:
SELinux is preventing /usr/bin/python2.7 (deleted) from 'setattr' accesses on the directory /proc.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that python2.7 (deleted) should be allowed setattr access on the proc directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep yum /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:svirt_lxc_net_t:s0:c57,c729
Target Context                system_u:object_r:proc_t:s0
Target Objects                /proc [ dir ]
Source                        yum
Source Path                   /usr/bin/python2.7 (deleted)
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           filesystem-3.2-28.fc21.x86_64
Policy RPM                    selinux-policy-3.13.1-92.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.17.3-300.fc21.x86_64 #1 SMP Fri
                              Nov 14 23:36:19 UTC 2014 x86_64 x86_64
Alert Count                   1
First Seen                    2014-11-26 09:48:46 EET
Last Seen                     2014-11-26 09:48:46 EET
Local ID                      ac8eadb0-2807-40cc-b5de-80236337c5ce

Raw Audit Messages
type=AVC msg=audit(1416988126.401:2867): avc:  denied  { setattr } for  pid=8721 comm="yum" name="/" dev="proc" ino=1 scontext=system_u:system_r:svirt_lxc_net_t:s0:c57,c729 tcontext=system_u:object_r:proc_t:s0 tclass=dir permissive=0


type=SYSCALL msg=audit(1416988126.401:2867): arch=x86_64 syscall=utimensat success=no exit=EACCES a0=ffffffffffffff9c a1=3551e30 a2=7fff766ab6f0 a3=100 items=0 ppid=8662 pid=8721 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts1 ses=4294967295 comm=yum exe=2F7573722F62696E2F707974686F6E322E37202864656C6574656429 subj=system_u:system_r:svirt_lxc_net_t:s0:c57,c729 key=(null)

Hash: yum,svirt_lxc_net_t,proc_t,dir,setattr

Version-Release number of selected component:
selinux-policy-3.13.1-92.fc21.noarch

Additional info:
reporter:       libreport-2.3.0
hashmarkername: setroubleshoot
kernel:         3.17.3-300.fc21.x86_64
type:           libreport

Comment 1 Daniel Walsh 2015-01-02 14:40:49 UTC
2f0e70a13e13082e79d17c0a4eaa0470896f161f and
bf41fe144bdfae4270a283d5c00d43510e5f6e7b dontaudit this in git.

Comment 2 Fedora Update System 2015-01-27 16:49:05 UTC
selinux-policy-3.13.1-105.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-105.fc21

Comment 3 Fedora Update System 2015-01-30 04:32:02 UTC
Package selinux-policy-3.13.1-105.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-105.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1337/selinux-policy-3.13.1-105.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-01-30 23:54:31 UTC
selinux-policy-3.13.1-105.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.